﻿@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --selectedColor: red;
}

body:has(.lightbox-overlay) header,
body:has(.lightbox-overlay) .main-footer,
body:has(.lightbox-overlay) footer {
    z-index: 1 !important;
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: #0a0a0a;
}

::-webkit-scrollbar-thumb {
    background: var(--selectedColor);
    border-radius: 10px;
}


body:has(.lightbox-overlay) .scroll-container {
    z-index: 9999 !important;
    position: relative;
}

.lightbox-overlay {
    z-index: 10000 !important;
}

body, html, *, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background: black;
    font-family: 'Inter', sans-serif;
}